Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.customizers
[Java] Class CompilationCustomizer

    java.lang.Object
      CompilationUnit.PrimaryClassNodeOperation
          org.codehaus.groovy.control.customizers.CompilationCustomizer

    public abstract class CompilationCustomizer
    extends PrimaryClassNodeOperation

Users wanting to customize the configuration process such as adding imports, restricting the language features or apply AST transformations by default should implement this class, then call the CompilerConfiguration.addCompilationCustomizers method.

Authors:
  Cedric Champeau

Since:
  1.8.0

Constructor Summary
`CompilationCustomizer(CompilePhase phase)`

Method Summary
`CompilePhase` | `getPhase()`

Constructor Detail

### CompilationCustomizer

    public CompilationCustomizer(CompilePhase phase)

Method Detail

### getPhase

    public CompilePhase getPhase()

Groovy Documentation